Bug 1949050 - Bump k8s to latest 1.21
Summary: Bump k8s to latest 1.21
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.0
Assignee: Maciej Szulik
QA Contact: zhou ying
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-13 10:26 UTC by Maciej Szulik
Modified: 2021-07-27 23:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:00:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift api pull 925 0 None closed Bug 1949050: Bump k8s to 1.21.1 2021-05-25 12:12:52 UTC
Github openshift apiserver-library-go pull 49 0 None closed Bug 1949050: Bump k8s to 1.21 2021-05-25 12:12:55 UTC
Github openshift client-go pull 186 0 None closed Bug 1949050: Bump k8s to 1.21 2021-05-25 12:12:51 UTC
Github openshift descheduler pull 60 0 None closed Bug 1949050: Pull upstream changes for 1.21 2021-05-25 12:12:56 UTC
Github openshift descheduler pull 61 0 None closed Bug 1949050: Bump Go to 1.16 in Travis 2021-05-25 12:12:56 UTC
Github openshift kubernetes pull 674 0 None closed Bug 1949050: UPSTREAM: 101147: Limit image spec's hash length 2021-05-25 12:12:57 UTC
Github openshift kubernetes pull 693 0 None closed Bug 1949050: UPSTREAM: 101287: Fail fast when image is specified w/o tag 2021-05-25 12:12:53 UTC
Github openshift kubernetes pull 696 0 None closed Bug 1949050: UPSTREAM: 101337: Remove Limits from scheduling e2e balanced pod reso… 2021-05-25 12:12:57 UTC
Github openshift kubernetes pull 751 0 None closed Bug 1949050: Rebase 1.21.1 2021-05-25 12:12:58 UTC
Github openshift library-go pull 1085 0 None closed Bug 1949050: Bump k8s to 1.21 2021-05-25 12:12:58 UTC
Github openshift oc pull 737 0 None closed Bug 1949050: Update containers/image 2021-05-25 12:12:59 UTC
Github openshift oc pull 831 0 None closed Bug 1949050: Bump k8s to 1.21 2021-05-25 12:12:59 UTC
Github openshift origin pull 26054 0 None closed Bug 1949050: bump(k8s.io/*): 1.21 2021-05-25 12:13:01 UTC
Github openshift origin pull 26060 0 None closed Bug 1949050: Fix oauthaccesstoken test to use the new required name 2021-05-25 12:13:07 UTC
Github openshift origin pull 26096 0 None closed Bug 1949050: fix images.sh script 2021-05-25 12:13:09 UTC
Github openshift origin pull 26178 0 None open Bug 1949050: k8s 1.21.1 2021-05-25 12:13:13 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:00:22 UTC

Description Maciej Szulik 2021-04-13 10:26:49 UTC

Comment 2 Maciej Szulik 2021-05-10 07:47:05 UTC
This will be used for bumping oc to k8s 1.21.1, back to post.

Comment 4 zhou ying 2021-05-31 02:26:49 UTC
Checked with oc repo , the related PR has merged:
[root@localhost ~]# oc version --client -o yaml 
clientVersion:
  buildDate: "2021-05-28T14:17:11Z"
  compiler: gc
  gitCommit: 9dd45e3df916ad4d21c536315818663a051d178e
  gitTreeState: clean
  gitVersion: 4.8.0-202105281416.p0.git.9dd45e3.assembly.stream-9dd45e3
  goVersion: go1.16.1
  major: ""
  minor: ""
  platform: linux/amd64


[root@localhost oc]# git log 9dd45e3df916ad4d21c536315818663a051d178e |grep "#831"
    Merge pull request #831 from soltysh/k8s_1.21.1

Comment 5 zhou ying 2021-05-31 02:37:44 UTC
check for KCM:

[root@localhost ~]# oc describe po/kube-controller-manager-operator-7944d99ff5-9v6lm
....
      OPERATOR_IMAGE_VERSION:           4.8.0-0.nightly-2021-05-29-114625
      OPERAND_IMAGE_VERSION:            1.21.1
      POD_NAME:                         kube-controller-manager-operator-7944d99ff5-9v6lm (v1:metadata.name)


[root@localhost ~]# oc logs -f po/kube-controller-manager-ip-10-0-159-8.us-east-2.compute.internal
....
I0531 01:01:38.950104       1 controllermanager.go:187] Version: v1.21.0-rc.0+4b2b6ff

Comment 6 zhou ying 2021-05-31 02:43:01 UTC
Check for KS:

[root@localhost ~]# oc describe po/openshift-kube-scheduler-operator-84db45479d-j287c
....
      OPERATOR_IMAGE_VERSION:  4.8.0-0.nightly-2021-05-29-114625
      OPERAND_IMAGE_VERSION:   1.21.1
      POD_NAME:                openshift-kube-scheduler-operator-84db45479d-j287c (v1:metadata.name)


[root@localhost ~]# oc logs po/openshift-kube-scheduler-ip-10-0-159-8.us-east-2.compute.internal
....

I0531 01:03:04.600700       1 server.go:147] Starting Kubernetes Scheduler version v1.21.0-rc.0+4b2b6ff

Comment 8 zhou ying 2021-06-07 06:33:00 UTC
Refer https://bugzilla.redhat.com/show_bug.cgi?id=1950232#c2, move this to verified status .

Comment 11 errata-xmlrpc 2021-07-27 23:00:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.